%define oname   mechanize

Name:       ruby-%{oname}
Version:    2.7.6
%define	    subrel 1
Release:    %mkrel 3
Summary:    The Mechanize library is used for automating interaction with websites
License:    GPLv2+
Group:      Development/Ruby
URL:        http://mechanize.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Buildarch: noarch

#
# Security Patches
# P100 -> ... 
#
# CVE-2021-21289
Patch100:	548.patch

%description
The Mechanize library is used for automating interaction with websites. 
Mechanize automatically stores and sends cookies, follows redirects,
can follow links, and submit forms.  Form fields can be populated and
submitted.  Mechanize also keeps track of the sites that you have visited as
a history.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc CHANGELOG.rdoc EXAMPLES.rdoc GUIDE.rdoc LICENSE.rdoc README.rdoc
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install


%changelog
* Fri Mar 05 2021 neoclust <neoclust> 2.7.6-3.1.mga8
+ Revision: 1699620
- Add P100: Fixes CVE-2021-21289 (mga#28448)

* Wed Feb 12 2020 umeabot <umeabot> 2.7.6-3.mga8
+ Revision: 1507790
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.7.6-2.mga7
+ Revision: 1290986
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 pterjan <pterjan> 2.7.6-1.mga7
+ Revision: 1234651
- Update to 2.7.6

* Mon Apr 02 2018 pterjan <pterjan> 2.7.5-1.mga7
+ Revision: 1214650
- Update to 2.7.5

* Tue Jan 05 2016 pterjan <pterjan> 2.7.4-1.mga6
+ Revision: 919727
- Update to 2.7.4

* Wed Oct 15 2014 umeabot <umeabot> 2.7.3-3.mga5
+ Revision: 745407
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.3-2.mga5
+ Revision: 688862
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 2.7.3-1.mga5
+ Revision: 626685
- Update to 2.7.3

* Sat Dec 28 2013 pterjan <pterjan> 2.5.1-8.mga4
+ Revision: 562005
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.5.1-7.mga4
+ Revision: 561386
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.5.1-6.mga4
+ Revision: 535558
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.5.1-5.mga4
+ Revision: 482196
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 2.5.1-4.mga4
+ Revision: 480010
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 2.5.1-3.mga3
+ Revision: 396135
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 381113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.5.1-1.mga3
+ Revision: 313275
- new version 2.5.1
+ shikamaru <shikamaru>
- oops, fix license

* Wed Feb 09 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 49416
- imported package ruby-mechanize


* Wed Feb 09 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-1
- Initial package
